Support » Fixing WordPress » SQL errors when posting after 2.0 to 2.01 upgrade

  • I receive the following types of warnings every time I save or publish initially with a new article:

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ”let\’) as score FROM wp_posts where id=467′ at line 1]
    SELECT MATCH(post_content, post_title) against (‘let\’) as score FROM wp_posts where id=467;

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ”we\’) as score FROM wp_posts where id=467′ at line 1]
    SELECT MATCH(post_content, post_title) against (‘we\’) as score FROM wp_posts where id=467;

    The errors only occur once and the article still saves. Any ideas?

Viewing 8 replies - 1 through 8 (of 8 total)
  • trolling for answers…

    Palindrome: at the moment we can´t find a solution for this db problem. U can see other topics:

    http://wordpress.org/support/topic/60073?replies=7

    http://wordpress.org/support/topic/59752?replies=4 (4 days ago)

    http://wordpress.org/support/topic/59108?replies=95 (1 week ago)

    i´m still waiting for a solution.

    Is anyone looking into this issue?

    common guys! any solution or tweak that can be done to resolve this issue?! I’m in the same boat as the others.

    same error as everyone else after upgrading from 2.0 to 2.01

    ======
    WordPress database error: [You have an error in your SQL syntax;…..

    caparks

    (@caparks)

    Hey gang!

    I had the exact same problem and posted it here: http://wordpress.org/support/topic/63370?replies=3

    I stopped getting errors after I disabled a couple of my plug-ins (Jeromes Keywords and a WP DB mgmt plug-in] After I turned those off, I no longer had the error.

    Anyway – give it a try and I hope that it helps.

    – caparks

    Palindrome

    (@palindrome)

    Errors continue after having upgraded to 2.02.

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ”doesn\’) as score FROM wp_posts where id=581′ at line 1]
    SELECT MATCH(post_content, post_title) against (‘doesn\’) as score FROM wp_posts where id=581;

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ”we\’) as score FROM wp_posts where id=581′ at line 1]
    SELECT MATCH(post_content, post_title) against (‘we\’) as score FROM wp_posts where id=581;

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ”justice\’) as score FROM wp_posts where id=581′ at line 1]
    SELECT MATCH(post_content, post_title) against (‘justice\’) as score FROM wp_posts where id=581;

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ”shouldn\’) as score FROM wp_posts where id=581′ at line 1]
    SELECT MATCH(post_content, post_title) against (‘shouldn\’) as score FROM wp_posts where id=581;

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ”iraq\’) as score FROM wp_posts where id=581′ at line 1]
    SELECT MATCH(post_content, post_title) against (‘iraq\’) as score FROM wp_posts where id=581;

    I am getting this error:

    You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near ‘)’ at line 3

    After each posting or editing I am trying to do. Very annoying, any idea?

    These errors are still a problem with 2.03

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘SQL errors when posting after 2.0 to 2.01 upgrade’ is closed to new replies.